RNAstructure_java_drawing.source.proxy

## Class StructureBackend

- java.lang.Object
- - RNAstructure_java_drawing.source.proxy.StructureBackend

    public class StructureBackend
    extends Object

### Field Summary

Fields
`protected boolean` `swigCMemOwn`
`private long` `swigCPtr`

### Constructor Summary

Constructors
`` `StructureBackend()`
`protected` `StructureBackend(long cPtr, boolean cMemoryOwn)`

### Method Summary

Methods
`boolean` `addAnnotationProbability(String file)`
`boolean` `addAnnotationSHAPE(String file)`
`void` `delete()`
`protected void` `finalize()`
`void` `flip()`
`protected static long` `getCPtr(StructureBackend obj)`
`String` `getStructureData(int number)`
`boolean` `readStructureData(String file)`
`void` `removeAnnotation()`
`void` `setNucleotidesCircled(boolean circled)`
`String` `writeDotBracketFile(String inFile, String outFile)`
`String` `writeHelixFile(String inFile, String outFile, int number)`
`void` `writePostscriptFile(String outFile, int number)`
`void` `writeSVGFile(String outFile, int number)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### swigCMemOwn

    protected boolean swigCMemOwn

#### swigCPtr

    private long swigCPtr

### Constructor Detail

#### StructureBackend

    public StructureBackend()

#### StructureBackend

    protected StructureBackend(long cPtr,
                    boolean cMemoryOwn)

### Method Detail

#### addAnnotationProbability

    public boolean addAnnotationProbability(String file)

#### addAnnotationSHAPE

    public boolean addAnnotationSHAPE(String file)

#### delete

    public void delete()

#### finalize

    protected void finalize()

Overrides:
  `finalize` in class `Object`

#### flip

    public void flip()

#### getCPtr

    protected static long getCPtr(StructureBackend obj)

#### getStructureData

    public String getStructureData(int number)

#### readStructureData

    public boolean readStructureData(String file)

#### removeAnnotation

    public void removeAnnotation()

#### setNucleotidesCircled

    public void setNucleotidesCircled(boolean circled)

#### writeDotBracketFile

    public String writeDotBracketFile(String inFile,
                             String outFile)

#### writeHelixFile

    public String writeHelixFile(String inFile,
                        String outFile,
                        int number)

#### writePostscriptFile

    public void writePostscriptFile(String outFile,
                           int number)

#### writeSVGFile

    public void writeSVGFile(String outFile,
                    int number)